Jump to content
Welcome to InsanelyMac Forum

Register now to gain access to all of our features. Once registered and logged in, you will be able to contribute to this site by submitting your own content or replying to existing content. You'll be able to customize your profile, receive reputation points as a reward for submitting content, while also communicating with other members via your own private inbox, plus much more! This message will be removed once you have signed in.

brxxthe

Members
  • Content count

    18
  • Joined

  • Last visited

About brxxthe

  • Rank
    InsanelyMac Protégé
  1. New DP Build out.

    mine keeps saying "your software is up to date" !! Also if I try to install iCloud Beta it tells me that none of my hard drives meet the requirements. Any ideas?
  2. DP 2 Update

    All I had to remove was platformsupport.plist to get this update running. Not sure what the new features are.
  3. Lion DP2 - OSInstall.mpkg checks

    I stuck with [url="http://www.insanelymac.com/forum/topic/279450-why-insanelymac-does-not-support-tonymacx86/"]#####[/url] and seem to be up and running now. Patching OSInstall was not difficult for me.
  4. Problem with install (Board ID)

    LordAdmiral are you getting the error during the installer? or during boot? If during installer you need to patch the OSInstall.mpkg file. I'm also confused about the DVD statement as most of us are NOT installing straight from DVD but rather a mounted base system dmg that let's us modify these files.
  5. Lion DP2 - OSInstall.mpkg checks

    wow you're right about the platformsupport.plist in S/L/C - I must have got confused looking for it in Base System. This is probably why I'm getting a board Id error during boot. gonna try tomorrow thanks for this. DP1 ran okay - lots of crashes in safari and memory issues (even with 6gb?) hoping this will run better.
  6. Lion DP2 - OSInstall.mpkg checks

    here is a list of changes that I made to the Distribution file within OSInstall.mpkg The first group of changes was within SupportedPlatform function entry. function isSupportedPlatform(){ var platformSupportValues=["Mac-F2268DC8","Mac-F22C86C8","Mac-F22587C8","Mac-F2218FA9","Mac-F2218EA9","Mac-F42D86A9","Mac-F22C8AC8","Mac-F22586C8","Mac-942B59F58194171B","Mac-F226BEC8","Mac-F4218FC8","Mac-942459F5819B171B","Mac-F4218EC8","Mac-F2208EC8","Mac-F22C89C8","Mac-F22587A1","Mac-F221DCC8","Mac-F42388C8","Mac-F223BEC8","Mac-F4238CC8","Mac-F222BEC8","Mac-F227BEC8","Mac-F4208AC8","Mac-F22788A9","Mac-F4238BC8","Mac-F221BEC8","Mac-F2238AC8","Mac-F4208EAA","Mac-F22788C8","Mac-F22589C8","Mac-F4228EC8","Mac-F22788AA","Mac-F42C86C8","Mac-F4208CA9","Mac-942C5DF58193131B","Mac-F2238BAE","Mac-F42289C8","Mac-F2268CC8","Mac-F4208DC8","Mac-F2218FC8","Mac-F2218EC8","Mac-F4208DA9","Mac-F42D89C8","Mac-F4208CAA","Mac-F42D89A9","Mac-F2268AC8","Mac-F42C89C8","Mac-942452F5819B1C1B","Mac-F42786A9","Mac-F42D88C8","Mac-F42187C8","Mac-94245B3640C91C81","Mac-F42D86C8","Mac-F2268EC8","Mac-F2268DAE","Mac-F42C8CC8","Mac-F42C88C8","Mac-94245A3940C91C80","Mac-F42386C8","Mac-942B5BF58194151B","Mac-F42189C8"]; var boardID = system.ioregistry.fromPath('IOService:/')['board-id']; if( !boardID || platformSupportValues.length ==0 ) { return [color="#FF0000"]false[/color] } for( var i = 0; i < platformSupportValues.length; i++ ){ if( boardID == platformSupportValues[i] ){ return true; } } return [color="#FF0000"]false[/color]; } Next I made changes inside InstallCheckScript function entry. function installCheckScript(){ try{ var machineType = system.ioregistry.fromPath('IODeviceTree:/')['compatible']; if (typeof(isFNI) == "undefined" && typeof(hwbeInstallCheck) != "undefined") { if (!hwbeInstallCheck()) { return[color="#FF0000"] false[/color]; } } if(!hasAtLeastRam(minRam)){ my.result.message = system.localizedStringWithFormat('IC_RAM_message'); my.result.type = 'Fatal'; return[color="#FF0000"] false[/color]; } if(!is64bit()){ my.result.message = system.localizedStringWithFormat('IC_Cannot_Install'); my.result.type = 'Fatal'; return [color="#FF0000"]false[/color]; } if (system.compareVersions(system.version.ProductVersion, '10.7') < 0 && system.env.COMMAND_LINE_INSTALL) { my.result.message = system.localizedStringWithFormat('IC_Command_Line_message', '10.7'); my.result.type = 'Fatal'; return [color="#FF0000"]false[/color]; } if(!isSupportedPlatform()){ my.result.message = system.localizedStringWithFormat('IC_Cannot_Install'); my.result.type = 'Fatal'; return [color="#FF0000"]false[/color]; } if (typeof(findBJPrinters) != "undefined") findBJPrinters(); } catch (e) { system.log('installCheckScript threw exception ' + e); } return true; } That was it. The rest of the script deals with Upgrade versions and Languages, etc. All the falses highlighted in RED I changed to true. This led to an install from [url=&quot;http://www.insanelymac.com/forum/topic/279450-why-insanelymac-does-not-support-tonymacx86/&quot;]#####[/url] 1.4 - i'm still dealing with board ID issues during boot of the install however. I'll also add that I set my BIOS settings for the CPU to defaults (no O/C) and Removed 2 sticks of RAM to make 4GB in order to fix the spinning red ball issue during the installer.
  7. Problem with install (Board ID)

    not sure if we are talking about DP1 or DP2 as I believe PlatformSupport.plist does not exist in DP2. CORRECTION: My mistake it gets installed in S/L/CoreServ after install but does not exist in base system.
  8. I thought I would start a thread for those of us installing Lion DP2 and running into issues modifying the Distribution script inside OSInstall.mpkg I will post any progress that I make here as this seems to be a common issue with DP2. There is no more PlatformSupport file in S/L/Core Services. I first attempted removing lines in the script regarding checks but I would hit the "Could not install" note in the installer stating Javascript errors. UPDATE: I have succeeded by only changing a few of the return false lines to return true. I only changed them in regards to CPU check, ram check, and board ID. I'm installing now and I can provide more detail on what I changed shortly. here is a tutorial on extractive the said mpkg http://hints.macworld.com/article.php?stor...071026083746346
  9. Need help with Lion Install

    you need to cd into the directory before you run the commands. "cd /Volumes/Mac\ OS\ X\ Base\ System/System/Library/Extensions/" then "chown -R 0:0 fakesmc.kext" then "chmod -R 755 fakesmc.kext"
  10. How to install OSX Lion Preview

    When I boot into [url=&quot;http://www.insanelymac.com/forum/topic/279450-why-insanelymac-does-not-support-tonymacx86/&quot;]#####[/url] I get a black screen after the cursor goes away. I have found that If i press 'u' or 'd' The GUI comes up. It will not display unless I press U or D. Dunno if this helps anyone.
  11. Anybody having this issue? My CPU Fan will randomly increase in speed for about 30 seconds and then go back down to idle. I have monitored my CPU in activity monitor and it seems to do this even under very little to no CPU usage.
  12. OK guys, I updated my BIOS by preparing a flash drive on a PC and then followed this guide and everything seems to be working perfectly. I would like to add that Empire EFI boot disk was a great tool for me during the upgrade to Sno Leo. The only thing left.... My EFI partition keeps showing up on my desktop when I reboot. I need to figure out how to hide it by default.
  13. The Gigabyte website provides the BIOS in .exe form which cannot be extracted with OSX.
  14. I am also having trouble getting my firewire going from this guide. I'm running F12 bios. No windows install to flash it. Everything runs fine under EMPIRE EFI boot disc. I'm going to have to figure out how I can imitate that boot setup on my EFI partition. Any ideas? Currently on 10.6.2 EP45-DQ6 F12a Q9550 Intel Core 2 Quad WMP600N wifi card (worked under 10.5.7 and works under 10.6.2 when boot from Empire EFI.) Disabled onboard audio (using MOTU Traveler through firewire - again - works under Empire EFI.)
  15. Linksys WMP600N Dualband PCI WIFI CARD

    is there a way to use this adapter with OSX wifi utility? Must we use the RaLink utility or can we configure it with airport?
×